from mapies.viirs import VIIRS
import time
# from dask.distributed import Client


if __name__ == "__main__":
    # Change these variables


    start_date = "202401010000"
    end_date = "202401040000"
    outdir="/home/cmeikle/Projects/data/VIIRS/"
    indir="/home/cmeikle/Projects/data/VIIRS"
    c = VIIRS(start_date, end_date, dest=outdir, indir=indir, apply_qa=True, grid_repr="rotated")
    c.read_nc()
    c.process_data(monthly_avg=True, batch_size = 20)
    #c.to_da(frequency="D", save_figs=True)
    c.plot_2D_observations(months=[1], outdir=outdir)
    c.plot_2D_num_obs(months=[1], outdir=outdir)